QXmpp: QXmppJingleMessageInitiation Class Reference

QXmpp Version: 1.14.2

Loading...
Searching...
No Matches
QXmppJingleMessageInitiation Class Reference

The QXmppJingleMessageInitiation class holds information about the JMI element in the current context. More...

## Public Types
using | Result = std::variant<Rejected, Retracted, Finished, QXmppError>
| Variant of Rejected, Retracted, Finished or Error result types.

## Public Member Functions
const QString & | remoteJid () const
QXmppTask< QXmpp::SendResult > | ring ()
QXmppTask< QXmpp::SendResult > | proceed ()
QXmppTask< QXmpp::SendResult > | reject (std::optional< QXmppJingleReason > reason, bool containsTieBreak=false)
QXmppTask< QXmpp::SendResult > | retract (std::optional< QXmppJingleReason > reason, bool containsTieBreak=false)
QXmppTask< QXmpp::SendResult > | finish (std::optional< QXmppJingleReason > reason, const QString &migratedTo={})
Q_SIGNAL void | ringing ()
Q_SIGNAL void | proceeded (const QString &id, const QString &remoteResource)
Q_SIGNAL void | closed (const Result &result)

## Friends
class | QXmppJingleMessageInitiationManager
class | tst_QXmppJingleMessageInitiationManager

## Detailed Description

The QXmppJingleMessageInitiation class holds information about the JMI element in the current context.

Since
  QXmpp 1.6

## Member Function Documentation

## ◆ closed()

Q_SIGNAL void QXmppJingleMessageInitiation::closed | ( | const Result & | result | ) |

Emitted when a call was ended either through rejection, retraction, finish or an error.

Parameters

  result | close reason

## ◆ finish()

QXmppTask< SendResult > QXmppJingleMessageInitiation::finish | ( | std::optional< QXmppJingleReason > | reason,
|  | const QString & | migratedTo = {} )

Creates a JMI element of type "finish" and sends a request containing the element. The default reason type/tag will be "success" with text "Success".

Parameters

  reason | Reason object for finish element
  migratedTo | JMI id the session has been migrated to

## ◆ proceed()

QXmppTask< SendResult > QXmppJingleMessageInitiation::proceed | ( |  | ) |

Creates a JMI element of type "proceed" and sends a request containing the element.

## ◆ proceeded()

Q_SIGNAL void QXmppJingleMessageInitiation::proceeded | ( | const QString & | id,
|  | const QString & | remoteResource )

Emitted when a propose request was successfully processed and accepted.

Parameters

  id | belonging JMI id
  remoteResource | resource of the call partner about to be called

## ◆ reject()

QXmppTask< SendResult > QXmppJingleMessageInitiation::reject | ( | std::optional< QXmppJingleReason > | reason,
|  | bool | containsTieBreak = false )

Creates a JMI element of type "reject" and sends a request containing the element. The default reason tag/type will be "busy" with text "Busy".

Parameters

  reason | Reason object for reject element
  containsTieBreak | Whether the reject element contains a tie-break tag or not

## ◆ remoteJid()

const QString & QXmppJingleMessageInitiation::remoteJid | ( |  | ) | const

Returns the call partner's bare JID.

Since
  QXmpp 1.14

## ◆ retract()

QXmppTask< SendResult > QXmppJingleMessageInitiation::retract | ( | std::optional< QXmppJingleReason > | reason,
|  | bool | containsTieBreak = false )

Creates a JMI element of type "retract" and sends a request containing the element. The default reason tag/type will be "cancel" with text "Retracted".

Parameters

  reason | Reason object for retract element
  containsTieBreak | Whether the retract element contains a tie-break tag or not

## ◆ ring()

QXmppTask< SendResult > QXmppJingleMessageInitiation::ring | ( |  | ) |

Creates a JMI element of type "ringing" and sends a request containing the element.

## ◆ ringing()

Q_SIGNAL void QXmppJingleMessageInitiation::ringing | ( |  | ) |

Emitted when a propose request was accepted and the device starts ringing.

The documentation for this class was generated from the following files:

- QXmppJingleMessageInitiationManager.h
- QXmppJingleMessageInitiationManager.cpp